using CanteenContracts.BindingModels;
using CanteenContracts.SearchModel;
using CanteenContracts.View;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CanteenContracts.StoragesContracts
{
    public interface ITablewarerStorage
    {
        List<TablewareViewModel> GetFullList();
        List<TablewareViewModel> GetFilteredList(TablewareSearchModel model);
        TablewareViewModel? GetElement(TablewareSearchModel model);
        TablewareViewModel? Insert(TablewareBindingModel model);
        TablewareViewModel? Update(TablewareBindingModel model);
        TablewareViewModel? Delete(TablewareBindingModel model);
    }
}
